QGIS Application - Bug report #1072
WMS connection can't use the proxy
2008-05-07 05:22 AM - chg -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No
Operating System: SuSE Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11132
Description

We have to use a proxy to connect to external WMS providers.
versions below 0.10.0 perfectly work with the proxy,

only brings following error message:

"Could not understand the response. The wms provider said:"

Terminal gives an additional error:

Warning: UNEXPECTED RESPONSE: [HTTP/1.0 403 Forbidden
Server: squid/2.6.STABLE6

Date: Mon, 05 May 2008 15:58:06 GMT
Content-Type: text/html

Content-Length: 1047

Expires: Mon, 05 May 2008 15:58:06 GMT
X-Squid-Error: ERR_ACCESS_DENIED 0
X-Cache: MISS from proxy
X-Cache-Lookup: NONE from proxy:3128
Via: 1.0 srv

Proxy-Connection: close

Settings for proxy are:
URL: http://mapserver.jrc.it/wmsconnector/com.esri.wms.Esrimap/image2000_pan

Proxy Host: proxy
Proxy Port: 3128

Same settings did work in 0.8 and 0.9.

| can also exlude a problem with the remote server, as others also do not
work. If I omit the proxy and connect directly, it also works fine.

Used Version: 0.10.0 from openSuse repo.

History

#1 - 2008-07-09 04:47 AM - Tim Sutton

This should work in 0.11.0 - I've refactored the proxy settings to a single global configuration tab in Options -> proxy. I'm closing this bug - if the problem
persists for you in 0.11.0, please reopen.
http://mapserver.jrc.it/wmsconnector/com.esri.wms.Esrimap/image2000_pan

Regards

Tim

#2 - 2008-07-09 04:47 AM - Tim Sutton

- Resolution set to fixed

- Status changed from Open to Closed

#3 - 2009-08-22 12:56 AM - Anonymous

Milestone Version 0.11.0 deleted
